Name:          transmission
Version:       2.84
Release:       3mamba
Summary:       Transmission is a fast, easy, and free multi-platform BitTorrent client.
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Fabio Giani <fabio.giani@gmail.com>
URL:           http://www.transmissionbt.com
Source:        http://download-origin.transmissionbt.com/files/transmission-%{version}.tar.xz
License:       GPL2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN                                            
BuildRequires: curl                                              
BuildRequires: glibc-devel                                       
BuildRequires: libatk-devel                                      
BuildRequires: libcairo-devel                                    
BuildRequires: libcares-devel                                    
BuildRequires: libcurl-devel                                     
BuildRequires: libdbus-devel                                     
BuildRequires: libdbus-glib-devel                                
BuildRequires: libe2fs-devel                                     
BuildRequires: libevent                                          
BuildRequires: libexpat-devel                                    
BuildRequires: libfontconfig-devel                               
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libglitz-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgtk-devel
BuildRequires: libidn-devel
BuildRequires: libkrb5-devel
BuildRequires: libnotify-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libsasl-devel
BuildRequires: libselinux-devel
BuildRequires: libssh2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: openssl
## AUTOBUILDREQ-END
BuildRequires: miniupnpc-devel >= 1.9.20150206-1mamba
Requires:   curl 
Requires:   openssl 
Requires:   libglib
Requires:   libgtk 
Requires:   libevent
Requires:   libnotify 
Requires:   libdbus-glib 

%description
Transmission is a fast, easy, and free multi-platform BitTorrent client.
Transmission is designed from the ground up to balance power with simplicity. We've set initial preferences so things "Just Work", while advanced features like watch directories, bad peer blocking, and the web interface can be configured with just a few clicks. When Ubuntu chose Transmission as its default BitTorrent client, one of the most-cited reasons was its easy learning curve.

%prep
%setup -q

%build
%configure --prefix=%{_prefix} --mandir=%{_mandir} 
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=%{buildroot}

%find_lang %{name}-gtk

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}-gtk.lang
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/%{name}*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/web
%{_datadir}/%{name}/web/*
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_mandir}/man?/*
%doc AUTHORS COPYING
#NEWS README

%changelog
* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.84-3mamba
- rebuilt by autoport with build requirements: miniupnpc-devel>=1.9.20150206-1mamba

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 2.84-2mamba
- rebuilt by autoport with build requirements: miniupnpc-devel>=1.9.20140610-1mamba

* Wed Jul 02 2014 Automatic Build System <autodist@mambasoft.it> 2.84-1mamba
- automatic version update by autodist

* Tue May 20 2014 Automatic Build System <autodist@mambasoft.it> 2.83-1mamba
- automatic version update by autodist

* Sat Aug 10 2013 Automatic Build System <autodist@mambasoft.it> 2.82-1mamba
- automatic version update by autodist

* Fri Jul 19 2013 Automatic Build System <autodist@mambasoft.it> 2.81-1mamba
- automatic version update by autodist

* Thu Jun 27 2013 Automatic Build System <autodist@mambasoft.it> 2.80-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 2.77-1mamba
- automatic version update by autodist

* Wed Jan 09 2013 Automatic Build System <autodist@mambasoft.it> 2.76-1mamba
- automatic version update by autodist

* Sun Dec 16 2012 Automatic Build System <autodist@mambasoft.it> 2.75-1mamba
- automatic version update by autodist

* Thu Dec 13 2012 Automatic Build System <autodist@mambasoft.it> 2.74-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 2.73-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 2.72-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 2.71-1mamba
- automatic version update by autodist

* Tue Jul 24 2012 Automatic Build System <autodist@mambasoft.it> 2.61-1mamba
- automatic version update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 2.60-1mamba
- automatic version update by autodist

* Sat May 19 2012 Automatic Build System <autodist@mambasoft.it> 2.52-1mamba
- automatic version update by autodist

* Mon Apr 09 2012 Automatic Build System <autodist@mambasoft.it> 2.51-1mamba
- automatic version update by autodist

* Tue Feb 21 2012 Automatic Build System <autodist@mambasoft.it> 2.50-1mamba
- automatic version update by autodist

* Wed Nov 02 2011 Automatic Build System <autodist@mambasoft.it> 2.42-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 2.41-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 2.33-1mamba
- automatic update by autodist

* Wed Jun 29 2011 Automatic Build System <autodist@mambasoft.it> 2.32-1mamba
- automatic update by autodist

* Thu Feb 04 2010 Fabio Giani <fabio.giani@gmail.com> 1.83-1mamba
- update to 1.83

* Sat Aug 08 2009 Fabio Giani <fabio.giani@gmail.com> 1.73-1mamba
- package created by autospec
